using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace BioBridge_Event_Multiple
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            axBioBridgeSDKX1.Connect_TCPIP("ta200", 1, "192.168.1.207", 4370, 234567);
            axBioBridgeSDKX2.Connect_TCPIP("ta200plus", 2, "192.168.1.205", 4370, 123456);
        }

        private void axBioBridgeSDKX1_OnAttTransaction(object sender, AxBioBridgeSDK.IBioBridgeSDKXEvents_OnAttTransactionEvent e)
        {
            listBox1.Items.Add("Device 1:Transaction");
        }

        private void axBioBridgeSDKX2_OnAttTransaction(object sender, AxBioBridgeSDK.IBioBridgeSDKXEvents_OnAttTransactionEvent e)
        {
            listBox1.Items.Add("Device 2:Transaction");
        }
        
    }
}
